package com.shcd.boat.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class ShipInfo {
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private String deleteFlag;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date lastUpdateDate;
    private String mmsi;
    private String orgCode;
    private String ownerContactPhone;
    private String ownerLegalPerson;
    private String regportCode;
    private String regportName;
    private String remark;
    private String sailingareaCode;
    private Double shipBreadth;
    private String shipBuiltAddrCn;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date shipBuiltDate;
    private String shipCallsign;
    private Integer shipContainerNum;
    private Double shipDepth;
    private String shipDwt;
    private Integer shipEnginePower;
    private Integer shipGrosston;
    private String shipId;
    private String shipImo;
    private String shipInspectNo;
    private Double shipLength;
    private Double shipMinimumFreeboard;
    private String shipNameCn;
    private Integer shipNetton;
    private String shipOwnerAddrCn;
    private Integer shipParkingNum;
    private Integer shipPassengerNum;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date shipRebuiltDate;
    private String shipRegNo;
    private String shipRegionType;
    private String shipRouteCode;
    private String shipRouteName;
    private Double shipSummerDraft;
    private String shipTypeCode;
    private String shipTypeName;
    private String shipWindLevel;
    private String shipyardCn;

}
