package com.shcd.boat.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author shcd
 * @since 2025-01-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
//@ApiModel(value="ShipSealOffPoints对象", description="")
@TableName("pdhw_space.ship_seal_off_points")
public class ShipSealOffPoints implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    private String sealId;

    private String shipName;

    private String mmsi;

    private String sourceType;

    private String pointGeom;

    private String pointJson;

    private String remark;

    private String createBy;

    private Date createTime;

    private Date updateTime;

    private Date aisTime;

    private String updateBy;

    private String delFlag;


}
