package com.shcd.boat.service;

import com.alibaba.fastjson2.JSONObject;
import com.shcd.boat.entity.ShorePowerFile;

import java.util.List;

/**
 * 类名:@Name - HaiKangService
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/3/4 15:37
 */
public interface HaiKangService {

    /**
     * 获取列表
     * @return
     */
    String getList(Integer pageNo, Integer pageSize);


    String getDetail(Integer pageNo, Integer pageSize, String code);

    String getSetting();

    String getOnLine(Integer pageNo, Integer pageSize, String code);

    String getSocketURL(JSONObject jsonObject);

    List<ShorePowerFile> doInPicture(List<String> cameraIndexCodes);

    List<ShorePowerFile> doOutPicture(List<String> cameraIndexCodes);
}
