package com.shcd.boat.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shcd.boat.entity.ShorePowerinfo;
import com.shcd.boat.mapper.ShorePowerinfoMapper;
import com.shcd.boat.service.IShorePowerinfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 类名:@Name - ShorePowerinfoServiceImpl
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/2/19 16:05
 */
@Service
@Slf4j
public class ShorePowerinfoServiceImpl extends ServiceImpl<ShorePowerinfoMapper, ShorePowerinfo> implements IShorePowerinfoService {
    @Autowired
    private ShorePowerinfoMapper shorePowerinfoMapper;
    @Override
    public ShorePowerinfo getShorePowerInfoByMMsi(String mmsi) {
        return shorePowerinfoMapper.getShorePowerInfoByMMsi(mmsi);
    }

    @Override
    public List<ShorePowerinfo> getShorePowerinfoAll() {
        return shorePowerinfoMapper.getShorePowerinfoAll();
    }
}
