package com.shcd.boat.entity.gh;


import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GHAisInfo  {
   private String  boatName;
   private String  boatNameEn;
   private String  deviCeid;
   private BigDecimal  direction;
   @JSONField(format = "yyyy-MM-dd HH:mm:ss")
   private Date gpsTime ;
   private BigDecimal  latitude;
   private BigDecimal  longitude;
   private BigDecimal  mapx;
   private BigDecimal  mapy;
   private BigDecimal shipBreadth;
   private BigDecimal  shipDepth;
   private BigDecimal  shipLength;
   private BigDecimal  velocity;
   private Boolean  inAll;
   private String  inchannel;
   private int hashCode;
}
