package com.shcd.boat.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shcd.boat.entity.AISInChannel;
import com.shcd.boat.entity.ShipSealOffInfo;
import com.shcd.boat.entity.ShipSealOffSpace;
import com.shcd.boat.entity.gh.GHAisInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author shcd
 * @since 2025-01-13
 */
@Mapper
public interface ShipSealOffSpaceMapper extends BaseMapper<ShipSealOffSpace> {

 List<GHAisInfo> getAllInOut(@Param("ghAisInfos")List<GHAisInfo> ghAisInfos);



 AISInChannel getInChannel(@Param("ghAisInfo") GHAisInfo ghAisInfo);
}
